### Method

# Meta Window raise_and_make_recent_on_workspace

#### Declaration [src]

    void
    meta_window_raise_and_make_recent_on_workspace (
      MetaWindow* window,
      MetaWorkspace* workspace
    )

#### Description [src]

Raises a window and marks it as the most recently used window on the workspace `target_workspace`. If the window exists on all workspaces, it will become the most recently used sticky window on all other workspaces. This ensures proper tracking among windows on all workspaces while not overriding MRU for other windows.

#### Parameters

`workspace`

  Type: `MetaWorkspace`

  The `MetaWorkspace` to raise and make it most recent on.

  The data is owned by the caller of the method.